SYSCTL(8)

NOM
sysctl - Configurer les paramètres du noyau à chaud

SYNOPSIS
sysctl [-n] [-e] variable ...
sysctl [-n] [-e] -w variable=valeur ...
sysctl [-n] [-e] -p <nom_de_fichier> (par défaut /etc/sysctl.conf)
sysctl [-n] [-e] -a
sysctl [-n] [-e] -A

DESCRIPTION
sysctl est utilisé pour modifier les paramètres du noyau en cours d'exécution. Les paramètres utilisables sont ceux listés dans le répertoire /proc/sys. Procfs est nécessaire pour utiliser sysctl(8) sous Linux. Vous pouvez utiliser sysctl(8) aussi bien pour lire que pour écrire des paramètres.

PARAMÈTRES

variable
    Le nom d'une clé à lire. Par exemple « kernel.ostype ». Le séparateur « / » est aussi accepté en lieu et place de « . ».

variable=valeur
    Pour écrire une valeur, utilisez la forme variable=valeur, où variable est la clé et valeur la valeur à y placer. Si valeur contient des guillemets ou des caractères interprétés par le shell, il faut placer la valeur entre guillemets doubles. Cette forme ne peut être utilisée qu'avec l'option -w.

-n  Empêcher l'affichage des clés lors de l'affichage des valeurs.

-e  Ignorer les erreurs concernant les clés inconnues.

-N  Afficher seulement les noms. Cela peut être utile avec les shells qui ont la complétion programmable.

-q  Ne pas afficher sur la sortie standard les valeurs configurées.

-w  Permet de modifier un paramètre.

-p  Met en place les paramètres indiqués dans le fichier donné en argument ou dans /etc/sysctl.conf si aucun fichier n'est donné. Donner le caractère « - » comme nom de fichier fera que les données seront lues sur l'entrée standard.

-a  Afficher toutes les valeurs disponibles.

-A  Afficher toutes les valeurs disponibles sous forme d'un tableau.

EXEMPLES

/sbin/sysctl -a

/sbin/sysctl -n kernel.hostname

/sbin/sysctl -w kernel.domainname="exemple.com"

/sbin/sysctl -p /etc/sysctl.conf

FICHIERS
/proc/sys /etc/sysctl.conf

BOGUES
L'option -A se comporte comme l'option -a.

AUTEUR
George Staikos, <staikos@0wned.org>

VOIR AUSSI
sysctl.conf(5)

TRADUCTION

Ce document est une traduction réalisée par Loïc Le Loarer en 2001 et révisée le 25 avril 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 sysctl ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.